Loading...
Searching...
No Matches
pcl::outofcore::OutofcoreAbstractMetadata Class Referenceabstract

`#include <pcl/outofcore/metadata.h>`

Inheritance diagram for pcl::outofcore::OutofcoreAbstractMetadata:

## Public Member Functions

| OutofcoreAbstractMetadata ()=default
| Empty constructor.
virtual | ~OutofcoreAbstractMetadata ()=default
virtual void | serializeMetadataToDisk ()=0
| Write the metadata in the on-disk format, e.g.
virtual int | loadMetadataFromDisk (const boost::filesystem::path &path_to_metadata)=0
| Method which should read and parse metadata and store it in variables that have public getters and setters.

## Protected Member Functions

virtual void | writeMetadataString (std::vector< char > &buf)=0
| Constructs the metadata ascii which can be written to disk or piped to stdout.

## Friends

std::ostream & | operator<< (std::ostream &os, const OutofcoreAbstractMetadata &metadata_arg)
| Should write the same ascii metadata that is saved on disk, or a human readable format of the metadata in case a binary format is being used.

## Detailed Description

Definition at line 58 of file metadata.h.

## Constructor & Destructor Documentation

## OutofcoreAbstractMetadata()

pcl::outofcore::OutofcoreAbstractMetadata::OutofcoreAbstractMetadata | ( |  | ) |

default

Empty constructor.

## ~OutofcoreAbstractMetadata()

virtual pcl::outofcore::OutofcoreAbstractMetadata::~OutofcoreAbstractMetadata | ( |  | ) |

virtual default

## Member Function Documentation

## loadMetadataFromDisk()

virtual int pcl::outofcore::OutofcoreAbstractMetadata::loadMetadataFromDisk | ( | const boost::filesystem::path & | path_to_metadata | ) |

pure virtual

Method which should read and parse metadata and store it in variables that have public getters and setters.

Implemented in pcl::outofcore::OutofcoreOctreeBaseMetadata.

## serializeMetadataToDisk()

virtual void pcl::outofcore::OutofcoreAbstractMetadata::serializeMetadataToDisk | ( |  | ) |

pure virtual

Write the metadata in the on-disk format, e.g.

JSON.

Implemented in pcl::outofcore::OutofcoreOctreeBaseMetadata.

## writeMetadataString()

virtual void pcl::outofcore::OutofcoreAbstractMetadata::writeMetadataString | ( | std::vector< char > & | buf | ) |

protected pure virtual

Constructs the metadata ascii which can be written to disk or piped to stdout.

Implemented in pcl::outofcore::OutofcoreOctreeBaseMetadata.

## Friends And Related Symbol Documentation

## operator<<

std::ostream & operator<< | ( | std::ostream & | os,
|  | const OutofcoreAbstractMetadata & | metadata_arg
| ) |  |

friend

Should write the same ascii metadata that is saved on disk, or a human readable format of the metadata in case a binary format is being used.

The documentation for this class was generated from the following file:

- pcl/outofcore/metadata.h